# Basic macros
%define name    mailody 
%define version 1.5.0

# Macros for in the menu-file.
%define section Internet 
%define title Mailody


Name:           %{name}
Version:        %{version}
Summary:        IMAP only, Qt4/KDE4 based mail client 
Release:        %mkrel 0.beta1.1
License:        GPL
Group:          Networking/Mail
URL:            http://mailody.net

Source0:        http://prdownloads.sourceforge.net/%{name}/kde4-%{name}-%{version}beta1.tar.bz2

BuildRoot:      %_tmppath/%name-%version-%release-buildroot

BuildRequires: kdelibs4-devel
BuildRequires: libsqlite3-devel
BuildRequires: libqca-devel
BuildRequires: kdeedu4-devel
BuildRequires: kdepimlibs4-devel
BuildRequires: boost-devel

%description
Mailody is an IMAP-only mail client. Based on Qt and KDE.

%files  -f %{name}.lang
%defattr(-,root,root)
%{_kde_bindir}/%{name}
%{_kde_appsdir}/%{name}
%{_kde_datadir}/applications/kde4/%{name}.desktop
%{_kde_iconsdir}/*/*/*/*
%{_kde_libdir}/kde4/kontact_mailodyplugin.so
%{_kde_libdir}/kde4/mailodypart.so
%{_kde_datadir}/dbus-1/interfaces/net.mailody.mainwindow.xml
%{_kde_datadir}/kde4/services/kontact/mailody_plugin.desktop
%{_kde_datadir}/kde4/services/mailodypart.desktop
%{_kde_docdir}/HTML/en/mailody

#--------------------------------------------------------------------

%prep
%setup -q  -n kde4-%{name}-%{version}beta1

%build

%cmake_kde4
%make


%install
rm -rf %buildroot
cd build
make DESTDIR=%buildroot install
cd ..
%{find_lang} %{name}

%clean
rm -rf %{buildroot}



%changelog
* Thu Nov 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.5.0-0.beta1.1mdv2009.1
+ Revision: 307326
- Use kde4 version of Mailody

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-2mdv2008.1
+ Revision: 170977
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 11 2007 Angelo Naselli <anaselli@mandriva.org> 0.5.0-1mdv2008.1
+ Revision: 107957
- import mailody


* Sun Nov 11 2007 Angelo Naselloi <anaselli@mandriva.org> 0.5.0-1mdv2008.0
- Initial packaging from Tom Albers <tomalbers@kde.nl> 
